Uploaded image for project: 'Oozie'
  1. Oozie
  2. OOZIE-2488

Upgrade to latest OpenJPA version

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.3.0
    • Component/s: core
    • Labels:
      None

      Description

      Oozie is currently using OpenJPA 2.2.2, which is from April 2013. Version 2.3.0 is from Nov 2013, but there was a recent 2.4.1 release in Feb 2016 (that's a long gap!). Given that this is a critical dependency, it might be a good idea to take a look at the chnagelog, do some testing, and update the dependency. I'm sure there's lots of bug fixes that would be great to have.

        Attachments

        1. OOZIE-2488-00.patch
          0.4 kB
          Abhishek Bafna

          Activity

            People

            • Assignee:
              abhishekbafna Abhishek Bafna
              Reporter:
              rkanter Robert Kanter
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: